Get Besu Instance Activity Details
get
/api/v1/besu/instance/{id}/activity
Get the activity details for a particular Besu instance.
Request
Path Parameters
-
id(required): string
Unique Besu instance identifier
Header Parameters
-
Authorization(required): string
Bearer access token. Supply as: Bearer
.
Response
Supported Media Types
- application/json
200 Response
OK
Root Schema : InstanceActivityInfoSummary
Type:
objectActivities for blockchain Platform Instance
Show Source
-
activities:
array activities
List activities associated with the blockchain platform instance
Nested Schema : activities
Type:
arrayList activities associated with the blockchain platform instance
Show Source
Nested Schema : ActivityInfoSummary
Type:
Show Source
object-
details:
string
Detail message from the latest status of the operation
-
initiatedBy:
string
User who has initiated the activity
-
instanceId:
string
Platform Instance ID
-
instanceName:
string
Name of the Platform Instance
-
lastUpdatedTime:
string(date-time)
Latest time when the operation status has been tracked
-
operation:
string
Operation name
-
operationId:
string
Operation ID
-
operationStartTime:
string(date-time)
Time when the operation has started
-
operationStatus:
string
Operation status
400 Response
Bad Request
Root Schema : Error
Type:
objectError Information.
Show Source
-
errors:
array errors
list of errors
-
message(required):
string
A human-readable error string.
-
status(required):
string
A short error status that defines the error, meant for programmatic parsing.
-
warnings:
array warnings
list of warnings
401 Response
Unauthorized
Root Schema : AuthError
Type:
objectAuthentication or authorization error returned by request filters.
Show Source
-
code(required):
string
Allowed Values:
[ "UNAUTHENTICATED", "FORBIDDEN", "NOT_FOUND" ] -
message(required):
string
403 Response
Forbidden. The authenticated caller lacks a required global role, instance-access-group membership, or a valid CSRF token.
Root Schema : AuthError
Type:
objectAuthentication or authorization error returned by request filters.
Show Source
-
code(required):
string
Allowed Values:
[ "UNAUTHENTICATED", "FORBIDDEN", "NOT_FOUND" ] -
message(required):
string
404 Response
Not Found
Root Schema : Error
Type:
objectError Information.
Show Source
-
errors:
array errors
list of errors
-
message(required):
string
A human-readable error string.
-
status(required):
string
A short error status that defines the error, meant for programmatic parsing.
-
warnings:
array warnings
list of warnings
500 Response
Internal Server Error
Root Schema : Error
Type:
objectError Information.
Show Source
-
errors:
array errors
list of errors
-
message(required):
string
A human-readable error string.
-
status(required):
string
A short error status that defines the error, meant for programmatic parsing.
-
warnings:
array warnings
list of warnings